

SP.options = {
    name = 'Spec+ Settings',
    handler = SpecPlus,
    type = 'group',
    args = {
		OnClickOptions = {
			name = 'OnClick',
			type = 'group',
			inline = true,
			order = 1,
			args = {
				clickSelect = {
					type = 'select',
					style = 'dropdown',
					name = 'Click action',
					desc = 'Choose what happens when you click the addon',
					values = SP.clickSelect,
					order = 1,
					set = function(info,val) SP.db.char.clickSelectIndex = val end,
					get = function(info) return SP.db.char.clickSelectIndex end,
				},
				specPrim = {
					type = 'select',
					style = 'dropdown',
					name  = '  Primary Spec',
					desc = 'Primary specialization to toggle between (default if current spec is not one of these two)',
					values = SP.specs,
					set = function(info,val) SP.db.char.toggleSpec[1] = val end,
					get = function(info) return SP.db.char.toggleSpec[1] end,
					order = 2,
					disabled = function() if SP.db.char.clickSelectIndex == 1 then return false else return true end end,
				},
				specSecd = {
					type = 'select',
					style = 'dropdown',
					name  = '  Secondary Spec',
					desc = 'Secondary specialization to toggle between',
					values = SP.specs,
					set = function(info,val) SP.db.char.toggleSpec[2] = val end,
					get = function(info) return SP.db.char.toggleSpec[2] end,
					order = 3,
					disabled = function() if SP.db.char.clickSelectIndex == 1 then return false else return true end end,
				},
			},
		},
		equipSetsOptions = {
			name = 'Equipment Sets',
			type = 'group',
			inline = true,
			order = 2,
			args = {
				setDropDown1 = {
					type = 'select',
					style = 'dropdown',
					name  = function() return "  "..SP.specs[1] end,
					desc = 'Set the equipment set for this specialization',
					values = SP.sets,
					set = function(info,val) 
							SP.db.char.equipSets[1] = SP.sets[val];
							SP.db.char.equipSetsIndex[1] = val;
							SP.db.char.equipSetIcons[1] = SP.setIcons[val]; 
						end,
					get = function(info) return SP.db.char.equipSetsIndex[1] end,
					order = 1,
				},
				setDropDown2 = {
					type = 'select',
					style = 'dropdown',
					name  = function() return "  "..SP.specs[2] end,
					desc = 'Set the equipment set for this specialization',
					values = SP.sets,
					set = function(info,val) 
							SP.db.char.equipSets[2] = SP.sets[val];
							SP.db.char.equipSetsIndex[2] = val; 
							SP.db.char.equipSetIcons[2] = SP.setIcons[val]; 
						end,
					get = function(info) return SP.db.char.equipSetsIndex[2] end,
					order = 2,
				},
				setDropDown3 = {
					type = 'select',
					style = 'dropdown',
					name  = function() return "  "..SP.specs[3] end,
					desc = 'Set the equipment set for this specialization',
					values = SP.sets,
					set = function(info,val) 
							SP.db.char.equipSets[3] = SP.sets[val];
							SP.db.char.equipSetsIndex[3] = val; 
							SP.db.char.equipSetIcons[3] = SP.setIcons[val]; 
						end,
					get = function(info) return SP.db.char.equipSetsIndex[3] end,
					order = 3,
					hidden = function() if SP.numspecs > 2 then return false else return true end end,
				},
				setDropDown4 = {
					type = 'select',
					style = 'dropdown',
					name  = function() return "  "..SP.specs[4] end,
					desc = 'Set the equipment set for this specialization',
					values = SP.sets,
					set = function(info,val) 
							SP.db.char.equipSets[4] = SP.sets[val];
							SP.db.char.equipSetsIndex[4] = val; 
							SP.db.char.equipSetIcons[4] = SP.setIcons[val]; 
						end,
					get = function(info) return SP.db.char.equipSetsIndex[4] end,
					order = 4,
					hidden = function() if SP.numspecs > 3 then return false else return true end end,
				},
			},
		},
		ldbOptions = {
			name = 'LDB Options',
			type = 'group',
			inline = true,
			order = 3,
			args = {
			showLable = {
					type = 'toggle',
					name = 'Show Label Text',
					desc = 'Shows the "Spec+" label on the Data Broker',
					set = function(info,val) SP.db.char.showLabel = val; SpecPlus:UpdateLDB() end,
					get = function(info) return SP.db.char.showLabel end,
					order = 1,
				},
			showTextIcon = {
					type = 'toggle',
					name = 'Show Text Icon',
					desc = 'Shows the spec icon in the broker text',
					set = function(info,val) SP.db.char.showTextIcon = val; SpecPlus:UpdateLDB() end,
					get = function(info) return SP.db.char.showTextIcon end,
					order = 2,
				},	
			},
		},
		printOptions = {
			name = 'Chat Print Options',
			type = 'group',
			inline = true,
			order = 4,
			args = {
			showChatPrint = {
					type = 'toggle',
					name = 'Print Spec Change',
					desc = 'Show a chat printout when your spec has changed',
					set = function(info,val) SP.db.char.showChatPrint = val end,
					get = function(info) return SP.db.char.showChatPrint end,
					order = 1,
				},
			showPrintIcon = {
					type = 'toggle',
					name = 'Show Print Icon',
					desc = 'Shows the spec icon in the chat printout',
					set = function(info,val) SP.db.char.showPrintIcon = val end,
					get = function(info) return SP.db.char.showPrintIcon end,
					order = 2,
				},
			showSetPrint = {
					type = 'toggle',
					name = 'Print Equip Change',
					desc = 'Show a chat printout when your equipment set has changed',
					set = function(info,val) SP.db.char.showSetPrint = val end,
					get = function(info) return SP.db.char.showSetPrint end,
					order = 3,
				},
			showSetIcon = {
					type = 'toggle',
					name = 'Show Print Icon',
					desc = 'Shows the equipment set icon in the chat printout',
					set = function(info,val) SP.db.char.showSetIcon = val end,
					get = function(info) return SP.db.char.showSetIcon end,
					order = 4,
				},
			},
		},
	},
}
--]]
